## alfred 0.1.0

=== DESCRIPTION ===
Package: alfred
Title: Downloading Time Series from ALFRED Database for Various
        Vintages
Version: 0.1.0
Authors@R: person("Onno", "Kleen", email = "mail@onnokleen.de", role = c("aut", "cre"))
Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
    Its functions return tidy data frames for different releases of the specified time series.
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Imports: dplyr, tidyr, tibble, magrittr, lubridate, xml2
URL: https://github.com/onnokleen/alfred/
BugReports: https://github.com/onnokleen/alfred/issues
Suggests: testthat, knitr, rmarkdown, ggplot2
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-06-06 16:37:59 UTC; Arbeit
Author: Onno Kleen [aut, cre]
Maintainer: Onno Kleen <mail@onnokleen.de>
Repository: CRAN
Date/Publication: 2017-06-06 16:59:50 UTC

## alfred 0.1.1

=== DESCRIPTION ===
Package: alfred
Title: Downloading Time Series from ALFRED Database for Various
        Vintages
Version: 0.1.1
Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"))
Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
    Its functions return tidy data frames for different releases of the specified time series. 
    Note that this product uses the FRED© API but is not endorsed or certified by the Federal Reserve Bank of St. Louis.
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Imports: dplyr, tidyr, tibble, magrittr, lubridate, xml2
URL: https://github.com/onnokleen/alfred/
BugReports: https://github.com/onnokleen/alfred/issues
Suggests: testthat, knitr, rmarkdown, ggplot2, covr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-06-09 16:18:33 UTC; Arbeit
Author: Onno Kleen [aut, cre]
Maintainer: Onno Kleen <r@onnokleen.de>
Repository: CRAN
Date/Publication: 2017-06-10 22:20:35 UTC

## alfred 0.1.3

=== DESCRIPTION ===
Package: alfred
Title: Downloading Time Series from ALFRED Database for Various
        Vintages
Version: 0.1.3
Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"))
Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
    Its functions return tidy data frames for different releases of the specified time series. 
    Note that this product uses the FRED© API but is not endorsed or certified by the Federal Reserve Bank of St. Louis.
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Imports: dplyr, tidyr, tibble, magrittr, lubridate, jsonlite
URL: https://github.com/onnokleen/alfred/
BugReports: https://github.com/onnokleen/alfred/issues
Suggests: testthat, knitr, rmarkdown, ggplot2, covr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-09-23 09:43:52 UTC; Arbeit
Author: Onno Kleen [aut, cre]
Maintainer: Onno Kleen <r@onnokleen.de>
Repository: CRAN
Date/Publication: 2017-09-23 09:49:52 UTC

## alfred 0.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: alfred
 Title: Downloading Time Series from ALFRED Database for Various
         Vintages
-Version: 0.1.3
+Version: 0.1.4
 Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"))
 Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
     Its functions return tidy data frames for different releases of the specified time series. 
@@ -17,8 +17,8 @@
 Suggests: testthat, knitr, rmarkdown, ggplot2, covr
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-09-23 09:43:52 UTC; Arbeit
+Packaged: 2017-10-08 21:14:59 UTC; Arbeit
 Author: Onno Kleen [aut, cre]
 Maintainer: Onno Kleen <r@onnokleen.de>
 Repository: CRAN
-Date/Publication: 2017-09-23 09:49:52 UTC
+Date/Publication: 2017-10-08 21:49:56 UTC

## alfred 0.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: alfred
 Title: Downloading Time Series from ALFRED Database for Various
         Vintages
-Version: 0.1.4
+Version: 0.1.5
 Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"))
 Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
     Its functions return tidy data frames for different releases of the specified time series. 
@@ -17,8 +17,8 @@
 Suggests: testthat, knitr, rmarkdown, ggplot2, covr
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-10-08 21:14:59 UTC; Arbeit
+Packaged: 2018-02-20 09:51:01 UTC; Arbeit
 Author: Onno Kleen [aut, cre]
 Maintainer: Onno Kleen <r@onnokleen.de>
 Repository: CRAN
-Date/Publication: 2017-10-08 21:49:56 UTC
+Date/Publication: 2018-02-20 09:55:15 UTC

## alfred 0.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: alfred
 Title: Downloading Time Series from ALFRED Database for Various
         Vintages
-Version: 0.1.5
+Version: 0.1.6
 Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"))
 Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
     Its functions return tidy data frames for different releases of the specified time series. 
@@ -17,8 +17,8 @@
 Suggests: testthat, knitr, rmarkdown, ggplot2, covr
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-02-20 09:51:01 UTC; Arbeit
+Packaged: 2018-04-06 09:15:36 UTC; Arbeit
 Author: Onno Kleen [aut, cre]
 Maintainer: Onno Kleen <r@onnokleen.de>
 Repository: CRAN
-Date/Publication: 2018-02-20 09:55:15 UTC
+Date/Publication: 2018-04-06 12:46:20 UTC

## alfred 0.1.7

=== DESCRIPTION ===
Package: alfred
Title: Downloading Time Series from ALFRED Database for Various
        Vintages
Version: 0.1.7
Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4731-4640"))
Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
    Its functions return tidy data frames for different releases of the specified time series. 
    Note that this product uses the FRED© API but is not endorsed or certified by the Federal Reserve Bank of St. Louis.
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Imports: dplyr, tidyr, tibble, magrittr, lubridate, jsonlite
URL: https://github.com/onnokleen/alfred/
BugReports: https://github.com/onnokleen/alfred/issues
Suggests: testthat, knitr, rmarkdown, ggplot2, covr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-04-01 08:46:59 UTC; Arbeit
Author: Onno Kleen [aut, cre] (<https://orcid.org/0000-0003-4731-4640>)
Maintainer: Onno Kleen <r@onnokleen.de>
Repository: CRAN
Date/Publication: 2019-04-01 09:20:03 UTC

## alfred 0.1.8

=== DESCRIPTION ===
Package: alfred
Title: Downloading Time Series from ALFRED Database for Various
        Vintages
Version: 0.1.8
Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4731-4640"))
Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
    Its functions return tidy data frames for different releases of the specified time series. 
    Note that this product uses the FRED© API but is not endorsed or certified by the Federal Reserve Bank of St. Louis.
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Imports: dplyr, tidyr, tibble, magrittr, lubridate, jsonlite, rlang
URL: https://github.com/onnokleen/alfred/
BugReports: https://github.com/onnokleen/alfred/issues
Suggests: testthat, knitr, rmarkdown, ggplot2, covr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-09-11 12:42:50 UTC; onnokleen
Author: Onno Kleen [aut, cre] (<https://orcid.org/0000-0003-4731-4640>)
Maintainer: Onno Kleen <r@onnokleen.de>
Repository: CRAN
Date/Publication: 2020-09-11 14:50:03 UTC

## alfred 0.1.9

=== DESCRIPTION ===
Package: alfred
Title: Downloading Time Series from ALFRED Database for Various
        Vintages
Version: 0.1.9
Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4731-4640"))
Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
    Its functions return tidy data frames for different releases of the specified time series. 
    Note that this product uses the FRED© API but is not endorsed or certified by the Federal Reserve Bank of St. Louis.
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Imports: dplyr, tidyr, tibble, magrittr, lubridate, jsonlite, rlang,
        curl
URL: https://github.com/onnokleen/alfred/
BugReports: https://github.com/onnokleen/alfred/issues
Suggests: testthat, knitr, rmarkdown, ggplot2, covr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-01-04 09:34:46 UTC; onnokleen
Author: Onno Kleen [aut, cre] (<https://orcid.org/0000-0003-4731-4640>)
Maintainer: Onno Kleen <r@onnokleen.de>
Repository: CRAN
Date/Publication: 2021-01-04 11:10:06 UTC

## alfred 0.1.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: alfred
 Title: Downloading Time Series from ALFRED Database for Various
         Vintages
-Version: 0.1.9
+Version: 0.1.10
 Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4731-4640"))
 Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
     Its functions return tidy data frames for different releases of the specified time series. 
@@ -18,8 +18,8 @@
 Suggests: testthat, knitr, rmarkdown, ggplot2, covr
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-01-04 09:34:46 UTC; onnokleen
+Packaged: 2021-01-06 17:36:22 UTC; onnokleen
 Author: Onno Kleen [aut, cre] (<https://orcid.org/0000-0003-4731-4640>)
 Maintainer: Onno Kleen <r@onnokleen.de>
 Repository: CRAN
-Date/Publication: 2021-01-04 11:10:06 UTC
+Date/Publication: 2021-01-07 18:30:03 UTC

## alfred 0.1.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: alfred
 Title: Downloading Time Series from ALFRED Database for Various
         Vintages
-Version: 0.1.10
+Version: 0.1.11
 Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4731-4640"))
 Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
     Its functions return tidy data frames for different releases of the specified time series. 
@@ -18,8 +18,8 @@
 Suggests: testthat, knitr, rmarkdown, ggplot2, covr
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-01-06 17:36:22 UTC; onnokleen
+Packaged: 2021-01-22 08:18:50 UTC; onnokleen
 Author: Onno Kleen [aut, cre] (<https://orcid.org/0000-0003-4731-4640>)
 Maintainer: Onno Kleen <r@onnokleen.de>
 Repository: CRAN
-Date/Publication: 2021-01-07 18:30:03 UTC
+Date/Publication: 2021-01-22 09:00:02 UTC

## alfred 0.1.12

=== DESCRIPTION ===
Package: alfred
Title: Downloading Time Series from ALFRED Database for Various
        Vintages
Version: 0.1.12
Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4731-4640"))
Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
    Its functions return tidy data frames for different releases of the specified time series. 
    Note that this product uses the FRED© API but is not endorsed or certified by the Federal Reserve Bank of St. Louis.
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.1.1
Imports: dplyr, tidyr, tibble, magrittr, lubridate, jsonlite, rlang,
        curl, httr
URL: https://github.com/onnokleen/alfred/
BugReports: https://github.com/onnokleen/alfred/issues
Suggests: testthat, knitr, rmarkdown, ggplot2, covr
NeedsCompilation: no
Packaged: 2021-05-11 09:42:29 UTC; onnokleen
Author: Onno Kleen [aut, cre] (<https://orcid.org/0000-0003-4731-4640>)
Maintainer: Onno Kleen <r@onnokleen.de>
Repository: CRAN
Date/Publication: 2021-05-12 15:12:11 UTC

## alfred 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: alfred
 Title: Downloading Time Series from ALFRED Database for Various
         Vintages
-Version: 0.1.12
+Version: 0.2.0
 Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4731-4640"))
 Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
     Its functions return tidy data frames for different releases of the specified time series. 
@@ -16,8 +16,8 @@
 BugReports: https://github.com/onnokleen/alfred/issues
 Suggests: testthat, knitr, rmarkdown, ggplot2, covr
 NeedsCompilation: no
-Packaged: 2021-05-11 09:42:29 UTC; onnokleen
+Packaged: 2021-07-26 09:49:53 UTC; onnokleen
 Author: Onno Kleen [aut, cre] (<https://orcid.org/0000-0003-4731-4640>)
 Maintainer: Onno Kleen <r@onnokleen.de>
 Repository: CRAN
-Date/Publication: 2021-05-12 15:12:11 UTC
+Date/Publication: 2021-07-26 10:20:02 UTC

## alfred 0.2.1

=== DESCRIPTION ===
Package: alfred
Title: Downloading Time Series from ALFRED Database for Various
        Vintages
Version: 0.2.1
Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4731-4640"))
Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
    Its functions return tidy data frames for different releases of the specified time series. 
    Note that this product uses the FRED© API but is not endorsed or certified by the Federal Reserve Bank of St. Louis.
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
Imports: dplyr, tidyselect, tidyr, tibble, magrittr, lubridate,
        jsonlite, rlang, httr
URL: https://github.com/onnokleen/alfred/
BugReports: https://github.com/onnokleen/alfred/issues
Suggests: testthat, knitr, rmarkdown, ggplot2, covr
NeedsCompilation: no
Packaged: 2023-03-21 08:56:56 UTC; onnokleen
Author: Onno Kleen [aut, cre] (<https://orcid.org/0000-0003-4731-4640>)
Maintainer: Onno Kleen <r@onnokleen.de>
Repository: CRAN
Date/Publication: 2023-03-21 09:10:08 UTC

## alfred 2015.2

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Copyright (C) 2012-2015  B.A.T.M.A.N. contributors
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA
#

# alfred build
BINARY_NAME = alfred
OBJ = main.o server.o client.o netsock.o send.o recv.o hash.o unix_sock.o util.o debugfs.o batadv_query.o
MANPAGE = man/alfred.8

# alfred flags and options
CFLAGS += -pedantic -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP
LDLIBS += -lrt

# Turn on alfred capability dropping by default - set this to n if you don't want/need it
export CONFIG_ALFRED_CAPABILITIES=y

# disable verbose output
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC = @echo '   ' CC $@;
	Q_LD = @echo '   ' LD $@;
	export Q_CC
	export Q_LD
endif
endif

# standard build tools
CC ?= gcc
RM ?= rm -f
INSTALL ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)

# standard install paths
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man

# try to generate revision
REVISION= $(shell	if [ -d .git ]; then \
				echo $$(git describe --always --dirty --match "v*" |sed 's/^v//' 2> /dev/null || echo "[unknown]"); \
			fi)
ifneq ($(REVISION),)
CPPFLAGS += -DSOURCE_VERSION=\"$(REVISION)\"
endif

ifneq ($(CONFIG_ALFRED_VIS),n)
	VIS_ALL=vis-all
	VIS_CLEAN=vis-clean
	VIS_INSTALL=vis-install
endif

ifneq ($(CONFIG_ALFRED_GPSD),n)
	GPSD_ALL=gpsd-all
	GPSD_CLEAN=gpsd-clean
	GPSD_INSTALL=gpsd-install
endif

ifneq ($(CONFIG_ALFRED_CAPABILITIES),n)
  ifeq ($(origin PKG_CONFIG), undefined)
    PKG_CONFIG = pkg-config
    ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
      $(error $(PKG_CONFIG) not found)
    endif
  endif

  ifeq ($(origin LIBCAP_CFLAGS) $(origin LIBCAP_LDLIBS), undefined undefined)
    LIBCAP_NAME ?= libcap
    ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBCAP_NAME) 2>/dev/null),)
      $(error No $(LIBCAP_NAME) development libraries found!)
    endif
    LIBCAP_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBCAP_NAME))
    LIBCAP_LDLIBS +=  $(shell $(PKG_CONFIG) --libs $(LIBCAP_NAME))
  endif
  CFLAGS += $(LIBCAP_CFLAGS)
  CPPFLAGS += -DCONFIG_ALFRED_CAPABILITIES
  LDLIBS += $(LIBCAP_LDLIBS)
endif


# default target
all: $(BINARY_NAME) $(VIS_ALL) $(GPSD_ALL)

# standard build rules
.SUFFIXES: .o .c
.c.o:
	$(COMPILE.c) -o $@ $<

$(BINARY_NAME): $(OBJ)
	$(LINK.o) $^ $(LDLIBS) -o $@

clean:	$(VIS_CLEAN) $(GPSD_CLEAN)
	$(RM) $(BINARY_NAME) $(OBJ) $(DEP)

install: $(BINARY_NAME) $(VIS_INSTALL) $(GPSD_INSTALL)
	$(MKDIR) $(DESTDIR)$(SBINDIR)
	$(MKDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m 0755 $(BINARY_NAME) $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 0644 $(MANPAGE) $(DESTDIR)$(MANDIR)/man8

vis-install:
	$(MAKE) -C vis install

vis-all:
	$(MAKE) -C vis all

vis-clean:
	$(MAKE) -C vis clean

gpsd-install:
	$(MAKE) -C gpsd install

gpsd-all:
	$(MAKE) -C gpsd all

gpsd-clean:
	$(MAKE) -C gpsd clean

# load dependencies
DEP = $(OBJ:.o=.d)
-include $(DEP)

.PHONY: all clean install vis-install vis-all vis-clean \
	gpsd-install gpsd-all gpsd-clean

=== gpsd/Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Copyright (C) 2013-2015  B.A.T.M.A.N. contributors
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA
#

# alfred-gpsd build
BINARY_NAME = alfred-gpsd
OBJ = alfred-gpsd.o
MANPAGE = man/alfred-gpsd.8

# alfred flags and options
CFLAGS += -pedantic -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP

# disable verbose output
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC = @echo '   ' CC $@;
	Q_LD = @echo '   ' LD $@;
	export Q_CC
	export Q_LD
endif
endif

ifeq ($(origin PKG_CONFIG), undefined)
  PKG_CONFIG = pkg-config
  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
    $(error $(PKG_CONFIG) not found)
  endif
endif

ifeq ($(origin LIBGPS_CFLAGS) $(origin LIBGPS_LDLIBS), undefined undefined)
  LIBGPS_NAME ?= libgps
  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBGPS_NAME) 2>/dev/null),)
    $(error No $(LIBGPS_NAME) development libraries found!)
  endif
  LIBGPS_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBGPS_NAME))
  LIBGPS_LDLIBS +=  $(shell $(PKG_CONFIG) --libs $(LIBGPS_NAME)) -lm
endif
CFLAGS += $(LIBGPS_CFLAGS)
LDLIBS += $(LIBGPS_LDLIBS)

# standard build tools
CC ?= gcc
RM ?= rm -f
INSTALL ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)

# standard install paths
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man

# try to generate revision
REVISION= $(shell	if [ -d ../.git ]; then \
				echo $$(git describe --always --dirty --match "v*" |sed 's/^v//' 2> /dev/null || echo "[unknown]"); \
			fi)
ifneq ($(REVISION),)
CPPFLAGS += -DSOURCE_VERSION=\"$(REVISION)\"
endif

# default target
all: $(BINARY_NAME)

# standard build rules
.SUFFIXES: .o .c
.c.o:
	$(COMPILE.c) -o $@ $<

$(BINARY_NAME): $(OBJ)
	$(LINK.o) $^ $(LDLIBS) -o $@

clean:
	$(RM) $(BINARY_NAME) $(OBJ) $(DEP)

install: $(BINARY_NAME)
	$(MKDIR) $(DESTDIR)$(SBINDIR)
	$(MKDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m 0755 $(BINARY_NAME) $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 0644 $(MANPAGE) $(DESTDIR)$(MANDIR)/man8

# load dependencies
DEP = $(OBJ:.o=.d)
-include $(DEP)

.PHONY: all clean install

=== vis/Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Copyright (C) 2013-2015  B.A.T.M.A.N. contributors
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA
#

# batadv-vis build
BINARY_NAME = batadv-vis
OBJ = vis.o debugfs.o
MANPAGE = man/batadv-vis.8

# batadv-vis flags and options
CFLAGS += -pedantic -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP
LDLIBS += -lrt

# disable verbose output
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC = @echo '   ' CC $@;
	Q_LD = @echo '   ' LD $@;
	export Q_CC
	export Q_LD
endif
endif

# standard build tools
CC ?= gcc
RM ?= rm -f
INSTALL ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)

# standard install paths
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man

# try to generate revision
REVISION= $(shell	if [ -d ../.git ]; then \
				echo $$(git describe --always --dirty --match "v*" |sed 's/^v//' 2> /dev/null || echo "[unknown]"); \
			fi)
ifneq ($(REVISION),)
CPPFLAGS += -DSOURCE_VERSION=\"$(REVISION)\"
endif

# default target
all: $(BINARY_NAME)

# standard build rules
.SUFFIXES: .o .c
.c.o:
	$(COMPILE.c) -o $@ $<

$(BINARY_NAME): $(OBJ)
	$(LINK.o) $^ $(LDLIBS) -o $@

clean:
	$(RM) $(BINARY_NAME) $(OBJ) $(DEP)

install: $(BINARY_NAME)
	$(MKDIR) $(DESTDIR)$(SBINDIR)
	$(MKDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m 0755 $(BINARY_NAME) $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 0644 $(MANPAGE) $(DESTDIR)$(MANDIR)/man8

# load dependencies
DEP = $(OBJ:.o=.d)
-include $(DEP)

.PHONY: all clean install

=== debian/changelog ===
alfred (2015.2-1) unstable; urgency=low

  * New upstream version (Closes: #807555)

  [Contributions by Franz Schrober]
  * Added debian/watch file and signing key (Closes: #807550)
  * Reviewed debian/copyright,
    also added Franz to copyright holders of debian/* (Closes: #807547)
  * Corrected debian/README (Closes: #807549)
  * Corrected home page URL (Closes: #807552)
  * Added pkg-config to build-dependencies (Closes: #807551)
  * Added 64 bit I/O API to enable large file support (Closes: #807563)
  * Further hardened hardining (Closes: #807562)
  * Likely-fixed: Builds on non-linux systems (Closes: #807546)
  
 -- Steffen Moeller <moeller@debian.org>  Mon, 14 Dec 2015 01:46:20 +0100
  

alfred (2015.1-1) unstable; urgency=low

  * New upstream version
  * Initial release (Closes: #755897)

 -- Steffen Moeller <moeller@debian.org>  Thu, 19 Nov 2015 22:10:29 +0100

alfred (2014.3.0+git20140823-1) UNRELEASED; urgency=low

  * New upstream changes.

 -- Steffen Moeller <moeller@debian.org>  Sat, 23 Aug 2014 16:51:58 +0200

alfred (2014.3.0-1) UNRELEASED; urgency=low

  * New upstream tag.

 -- Steffen Moeller <moeller@debian.org>  Thu, 24 Jul 2014 07:30:56 +0200

alfred (2014.2.0-1) UNRELEASED; urgency=low

  * Initial package.

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Jun 2014 23:15:00 +0200

=== debian/control ===
Source: alfred
Section: net
Priority: optional
Maintainer: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 8.0.0), libgps-dev, libcap-dev [linux-any], pkg-config
Standards-Version: 3.9.6
Homepage: https://www.open-mesh.org/projects/alfred/wiki

Package: alfred
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: graphviz
Description: Almighty Lightweight Fact Remote Exchange Daemon
 A.L.F.R.E.D. gathers status information in networks with dynamically
 chaing topologies, e.g. a Wifi mesh with mobile clients. It is a
 user space daemon for distributing arbitrary local information
 over the same mesh/network in a decentralized fashion. This data
 can be anything which appears to be useful - originally designed
 to replace the batman-adv visualization (vis), you may distribute
 hostnames, phone books, administration information, DNS information,
 the local weather forecast ...
 .
 Users may insert information by using the alfred binary on the command
 line, or use custom written programs to communicate with alfred directly
 through unix sockets. Once the local data is received, the alfred
 daemon takes care of distributing this information to other alfred
 servers on other nodes somewhere in the network. As addressing scheme
 IPv6 link-local multicast addresses are used which do not require any
 manual configuration. A user can request data from alfred, and will
 receive the information available from all alfred servers in the network.

=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta|rc)/~$1/,pgpsigurlmangle=s/$/.asc/" \
 https://downloads.open-mesh.org/batman/stable/sources/alfred/alfred-(.*).tar.gz

## alfred 2016.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #
-# Copyright (C) 2012-2015  B.A.T.M.A.N. contributors
+# Copyright (C) 2012-2016  B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public

=== gpsd/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #
-# Copyright (C) 2013-2015  B.A.T.M.A.N. contributors
+# Copyright (C) 2013-2016  B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public

=== vis/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #
-# Copyright (C) 2013-2015  B.A.T.M.A.N. contributors
+# Copyright (C) 2013-2016  B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public

=== debian/changelog ===
alfred (2016.1-1build1) bionic; urgency=medium

  * No-change rebuild against libgps23

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Nov 2017 19:02:50 +0000

alfred (2016.1-1) unstable; urgency=low

  * New upstream version.
  * Update signing-key to 2DE9541A85CC87D5D9836D5E0C8A47A2ABD72DF9 as
    informed by upstream developer Sven Eckelmann (Closes: #812890)
  * Yet another attempt to build on non-Linux platforms (Closes: #807546)

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 May 2016 19:59:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: alfred
 Section: net
 Priority: optional
-Maintainer: Steffen Moeller <moeller@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper (>= 8.0.0), libgps-dev, libcap-dev [linux-any], pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://www.open-mesh.org/projects/alfred/wiki
 
 Package: alfred

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export V=s

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_HARDENING_fortify=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# to make hardening wrapper work
export CC=gcc
export CFLAGS+=-D_FILE_OFFSET_BITS=64

ifneq ($(shell dpkg-architecture -qDEB_TARGET_ARCH_OS),linux)
MAKEOPTIONS = CONFIG_ALFRED_CAPABILITIES=n
endif

%:
	dh $@ 

override_dh_auto_build:
	$(MAKE) $(MAKEOPTIONS) PREFIX=/usr 

override_dh_auto_install:
	$(MAKE) $(MAKEOPTIONS) DESTDIR=$(CURDIR)/debian/alfred PREFIX=/usr install

VERSION=$(shell head -n 1 debian/changelog | cut -f2 -d\ |sed -e 's/-[^-]*//' -e 's/^(//' ))
orig.tar.gz:
	a=`pwd`; \
	abase=`basename $$a`; \
	cd .. ; \
	tar --exclude=debian --exclude=.git --exclude .gitattributes --exclude .gitignore -czvf "$${abase}_$(VERSION).orig.tar.gz" $$abase 

override_dh_auto_clean:
	$(MAKE) $(MAKEOPTIONS) -j1 clean

## alfred 2018.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
+# SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2012-2016  B.A.T.M.A.N. contributors
+# Copyright (C) 2012-2018  B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public
@@ -17,14 +18,28 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301, USA
 #
+# License-Filename: LICENSES/preferred/GPL-2.0
 
 # alfred build
 BINARY_NAME = alfred
-OBJ = main.o server.o client.o netsock.o send.o recv.o hash.o unix_sock.o util.o debugfs.o batadv_query.o
+OBJ += batadv_query.o
+OBJ += batadv_querynl.o
+OBJ += client.o
+OBJ += debugfs.o
+OBJ += hash.o
+OBJ += main.o
+OBJ += netlink.o
+OBJ += netsock.o
+OBJ += recv.o
+OBJ += send.o
+OBJ += server.o
+OBJ += unix_sock.o
+OBJ += util.o
 MANPAGE = man/alfred.8
 
 # alfred flags and options
 CFLAGS += -pedantic -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP
+CPPFLAGS += -D_GNU_SOURCE
 LDLIBS += -lrt
 
 # Turn on alfred capability dropping by default - set this to n if you don't want/need it
@@ -73,14 +88,36 @@
 	GPSD_INSTALL=gpsd-install
 endif
 
+ifeq ($(origin PKG_CONFIG), undefined)
+  PKG_CONFIG = pkg-config
+  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
+    $(error $(PKG_CONFIG) not found)
+  endif
+endif
+
+ifeq ($(origin LIBNL_CFLAGS) $(origin LIBNL_LDLIBS), undefined undefined)
+  LIBNL_NAME ?= libnl-3.0
+  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBNL_NAME) 2>/dev/null),)
+    $(error No $(LIBNL_NAME) development libraries found!)
+  endif
+  LIBNL_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBNL_NAME))
+  LIBNL_LDLIBS +=  $(shell $(PKG_CONFIG) --libs $(LIBNL_NAME))
+endif
+CFLAGS += $(LIBNL_CFLAGS)
+LDLIBS += $(LIBNL_LDLIBS)
+
+ifeq ($(origin LIBNL_GENL_CFLAGS) $(origin LIBNL_GENL_LDLIBS), undefined undefined)
+  LIBNL_GENL_NAME ?= libnl-genl-3.0
+  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBNL_GENL_NAME) 2>/dev/null),)
+    $(error No $(LIBNL_GENL_NAME) development libraries found!)
+  endif
+  LIBNL_GENL_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBNL_GENL_NAME))
+  LIBNL_GENL_LDLIBS += $(shell $(PKG_CONFIG) --libs $(LIBNL_GENL_NAME))
+endif
+CFLAGS += $(LIBNL_GENL_CFLAGS)
+LDLIBS += $(LIBNL_GENL_LDLIBS)
+
 ifneq ($(CONFIG_ALFRED_CAPABILITIES),n)
-  ifeq ($(origin PKG_CONFIG), undefined)
-    PKG_CONFIG = pkg-config
-    ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
-      $(error $(PKG_CONFIG) not found)
-    endif
-  endif
-
   ifeq ($(origin LIBCAP_CFLAGS) $(origin LIBCAP_LDLIBS), undefined undefined)
     LIBCAP_NAME ?= libcap
     ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBCAP_NAME) 2>/dev/null),)

=== gpsd/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
+# SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2013-2016  B.A.T.M.A.N. contributors
+# Copyright (C) 2013-2018  B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public
@@ -17,14 +18,16 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301, USA
 #
+# License-Filename: LICENSES/preferred/GPL-2.0
 
 # alfred-gpsd build
 BINARY_NAME = alfred-gpsd
-OBJ = alfred-gpsd.o
+OBJ += alfred-gpsd.o
 MANPAGE = man/alfred-gpsd.8
 
 # alfred flags and options
 CFLAGS += -pedantic -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP
+CPPFLAGS += -D_GNU_SOURCE
 
 # disable verbose output
 ifneq ($(findstring $(MAKEFLAGS),s),s)

=== vis/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
+# SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2013-2016  B.A.T.M.A.N. contributors
+# Copyright (C) 2013-2018  B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public
@@ -17,14 +18,18 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301, USA
 #
+# License-Filename: LICENSES/preferred/GPL-2.0
 
 # batadv-vis build
 BINARY_NAME = batadv-vis
-OBJ = vis.o debugfs.o
+OBJ += debugfs.o
+OBJ += netlink.o
+OBJ += vis.o
 MANPAGE = man/batadv-vis.8
 
 # batadv-vis flags and options
 CFLAGS += -pedantic -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP
+CPPFLAGS += -D_GNU_SOURCE
 LDLIBS += -lrt
 
 # disable verbose output
@@ -58,6 +63,35 @@
 CPPFLAGS += -DSOURCE_VERSION=\"$(REVISION)\"
 endif
 
+ifeq ($(origin PKG_CONFIG), undefined)
+  PKG_CONFIG = pkg-config
+  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
+    $(error $(PKG_CONFIG) not found)
+  endif
+endif
+
+ifeq ($(origin LIBNL_CFLAGS) $(origin LIBNL_LDLIBS), undefined undefined)
+  LIBNL_NAME ?= libnl-3.0
+  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBNL_NAME) 2>/dev/null),)
+    $(error No $(LIBNL_NAME) development libraries found!)
+  endif
+  LIBNL_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBNL_NAME))
+  LIBNL_LDLIBS +=  $(shell $(PKG_CONFIG) --libs $(LIBNL_NAME))
+endif
+CFLAGS += $(LIBNL_CFLAGS)
+LDLIBS += $(LIBNL_LDLIBS)
+
+ifeq ($(origin LIBNL_GENL_CFLAGS) $(origin LIBNL_GENL_LDLIBS), undefined undefined)
+  LIBNL_GENL_NAME ?= libnl-genl-3.0
+  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBNL_GENL_NAME) 2>/dev/null),)
+    $(error No $(LIBNL_GENL_NAME) development libraries found!)
+  endif
+  LIBNL_GENL_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBNL_GENL_NAME))
+  LIBNL_GENL_LDLIBS += $(shell $(PKG_CONFIG) --libs $(LIBNL_GENL_NAME))
+endif
+CFLAGS += $(LIBNL_GENL_CFLAGS)
+LDLIBS += $(LIBNL_GENL_LDLIBS)
+
 # default target
 all: $(BINARY_NAME)

=== debian/changelog ===
alfred (2018.2-1) unstable; urgency=low

  * New upstream version.
  * Introduced github package maintenance
  * Added dependency on libnl-3
  * Updated debian/watch

 -- Steffen Moeller <moeller@debian.org>  Sat, 28 Jul 2018 18:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,15 @@
 Source: alfred
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libgps-dev, libcap-dev [linux-any], pkg-config
-Standards-Version: 3.9.8
+Maintainer: Steffen Moeller <moeller@debian.org>
+Build-Depends: debhelper (>= 9.0.0),
+ libgps-dev,
+ libcap-dev [linux-any],
+ libnl-3-dev, libnl-genl-3-dev,
+ pkg-config
+Standards-Version: 4.1.5
+Vcs-Browser: https://github.com/ffoh/debian-alfred
+Vcs-Git: https://github.com/ffoh/debian-alfred.git
 Homepage: https://www.open-mesh.org/projects/alfred/wiki
 
 Package: alfred

## alfred 2019.5

=== Makefile ===
--- 
+++ 
@@ -2,21 +2,7 @@
 # SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2012-2018  B.A.T.M.A.N. contributors
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of version 2 of the GNU General Public
-# License as published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA
+# Copyright (C) 2012-2019  B.A.T.M.A.N. contributors
 #
 # License-Filename: LICENSES/preferred/GPL-2.0

=== gpsd/Makefile ===
--- 
+++ 
@@ -2,21 +2,7 @@
 # SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2013-2018  B.A.T.M.A.N. contributors
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of version 2 of the GNU General Public
-# License as published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA
+# Copyright (C) 2013-2019  B.A.T.M.A.N. contributors
 #
 # License-Filename: LICENSES/preferred/GPL-2.0

=== vis/Makefile ===
--- 
+++ 
@@ -2,21 +2,7 @@
 # SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2013-2018  B.A.T.M.A.N. contributors
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of version 2 of the GNU General Public
-# License as published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA
+# Copyright (C) 2013-2019  B.A.T.M.A.N. contributors
 #
 # License-Filename: LICENSES/preferred/GPL-2.0

=== debian/changelog ===
alfred (2019.5-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:55:46 +0000

alfred (2019.5-1) unstable; urgency=low

  * New upstream version.
  * Added d/u/metadata - analogous to the one for batman
  * Added Sven Eckelmann to uploaders
  * Upgraded to policy 4.4.1, no changes required

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jan 2020 16:45:22 +0100

alfred (2018.2-3) UNRELEASED; urgency=low

  * Corrected attribution from Sebastian to Sven - sorry

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jan 2020 16:42:30 +0100

alfred (2018.2-2) unstable; urgency=low

  * Added Sven Eckelmann's patch to overcome changed
    API of libgpds:

    libgpsd 3.20 removed the timestamp_t type and the function
    unix_to_iso8601(). The same release introduced the timespec_t based
    function timespec_to_iso8601().

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jan 2020 16:30:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
- libgps-dev,
+Build-Depends: debhelper-compat (= 12),
+ libgps-dev (>= 3.20),
  libcap-dev [linux-any],
  libnl-3-dev, libnl-genl-3-dev,
  pkg-config
-Standards-Version: 4.1.5
-Vcs-Browser: https://github.com/ffoh/debian-alfred
-Vcs-Git: https://github.com/ffoh/debian-alfred.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/communitywlan-team/alfred
+Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git
 Homepage: https://www.open-mesh.org/projects/alfred/wiki
 
 Package: alfred

=== debian/watch ===
version=4
opts="pgpmode=auto" https://downloads.open-mesh.org/batman/releases/batman-adv-(.*)/alfred-(.*)\.tar\.gz

## alfred 2020.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2012-2019  B.A.T.M.A.N. contributors
+# Copyright (C) 2012-2020  B.A.T.M.A.N. contributors
 #
 # License-Filename: LICENSES/preferred/GPL-2.0

=== gpsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2013-2019  B.A.T.M.A.N. contributors
+# Copyright (C) 2013-2020  B.A.T.M.A.N. contributors
 #
 # License-Filename: LICENSES/preferred/GPL-2.0

=== vis/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2013-2019  B.A.T.M.A.N. contributors
+# Copyright (C) 2013-2020  B.A.T.M.A.N. contributors
 #
 # License-Filename: LICENSES/preferred/GPL-2.0

=== debian/changelog ===
alfred (2020.3-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 24 Aug 2020 21:20:33 +0200

alfred (2020.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 06 Jul 2020 17:50:30 +0200

alfred (2020.1-1) unstable; urgency=medium

  [ Sven Eckelmann ]
  * Team upload.
  * New Upstream Version
  * debian/control:
    - Switch maintainer to Debian CommunityWLAN Team
    - Switch to debhelper compat 13
    - Specify Vcs branch name for current target
    - Allow build without (fake)root
    - Upgraded to policy 4.5.0, no changes required
  * debian/patches:
    - Drop upstream merged sven_timestamp_t.patch
  * debian/upstream/signing-key.asc
    - Switch to same keyring as batctl
  * Drop duplicated fields from upstream/metadata
  * Rewrite of debian/copyright to reflect current situation
  * debian/rules
    - rewrite to match batctl rules
    - Fix FTCBFS: Provide a PKG_CONFIG for all make targets
    - Use dh_auto_* instead of calling $(MAKE) manually
    - drop unused orig.tar.gz target
    - drop legacy hardening workarounds
    - enable link-time optimization

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Sven Eckelmann <sven@narfation.org>  Thu, 04 Jun 2020 00:29:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,29 @@
 Source: alfred
 Section: net
 Priority: optional
-Maintainer: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Uploaders:
+ Steffen Moeller <moeller@debian.org>,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.open-mesh.org/projects/alfred/wiki
+Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/sid
+Vcs-Browser: https://salsa.debian.org/communitywlan-team/alfred
+Build-Depends:
+ debhelper-compat (= 13),
+ libcap-dev [linux-any],
  libgps-dev (>= 3.20),
- libcap-dev [linux-any],
- libnl-3-dev, libnl-genl-3-dev,
- pkg-config
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/communitywlan-team/alfred
-Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git
-Homepage: https://www.open-mesh.org/projects/alfred/wiki
+ libnl-3-dev,
+ libnl-genl-3-dev,
+ pkg-config,
 
 Package: alfred
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: graphviz
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ graphviz,
 Description: Almighty Lightweight Fact Remote Exchange Daemon
  A.L.F.R.E.D. gathers status information in networks with dynamically
  chaing topologies, e.g. a Wifi mesh with mobile clients. It is a

## alfred 2022.0

=== debian/changelog ===
alfred (2022.0-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 03 Feb 2022 19:03:08 +0100

alfred (2021.4-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 26 Nov 2021 20:03:46 +0100

alfred (2021.3-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 14 Sep 2021 20:42:58 +0200

alfred (2021.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.6.0, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Fri, 20 Aug 2021 11:06:30 +0200

alfred (2021.1-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Switch to correct DEP-14 unstable branch name

 -- Sven Eckelmann <sven@narfation.org>  Sun, 15 Aug 2021 09:00:46 +0200

alfred (2021.0-1) experimental; urgency=medium

  * Team upload.
  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.5.1, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Thu, 28 Jan 2021 18:07:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Steffen Moeller <moeller@debian.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/projects/alfred/wiki
-Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/sid
+Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/alfred
 Build-Depends:
  debhelper-compat (= 13),

## alfred 2022.2

=== debian/changelog ===
alfred (2022.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 26 Jul 2022 21:38:01 +0200

alfred (2022.1-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 06 May 2022 19:56:14 +0200

## alfred 2022.3

=== debian/changelog ===
alfred (2022.3-2) unstable; urgency=medium

  * Team upload.
  * debian/copyright:
    - Drop superfluous file pattern debugfs.*
    - Update copyright years to 2022
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 09:38:37 +0100

alfred (2022.3-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 10 Nov 2022 20:43:09 +0100
